<?xml version = "1.0" encoding = "iso-8859-1"?>

<xsl:stylesheet version = "1.0"
   xmlns:xsl   = "http://www.w3.org/1999/XSL/Transform"
   xmlns:msxsl = "urn:schemas-microsoft-com:xslt"
   xmlns:mml   = "http://www.w3.org/1998/Math/MathML"
   xmlns:po    = "http://www.w3.org/1998/Math/MathML/PresentationObjects"
>
   <xsl:import href = "../components/root.xsl"/>
   <xsl:import href = "../components/xml-display.xsl"/>
   <xsl:import href = "../components/attributes.xsl"/>

   <xsl:import href = "mathml/presentation/operator dictionary.xsl"/>

   <xsl:import href = "mathml/po-display.xsl"/>

   <xsl:import href = "mathml/unknown element.xsl"/>
   <xsl:import href = "mathml/presentation.xsl"/>

   <xsl:import href = "mathml/ptrans.xsl"/>

   <xsl:import href = "mathml/content.xsl"/>
   
   <xsl:output method = "html"/>

   <xsl:template match = "mml:math">
      <xsl:apply-templates select = "." mode = "rendermml"/>
   </xsl:template>

   <xsl:template match = "mml:math" mode = "root-body">
      <xsl:apply-templates select = "." mode = "rendermml"/>
   </xsl:template>

   <xsl:template match = "mml:math" mode = "rendermml">
      <xsl:variable name = "disp"><xsl:choose>
         <xsl:when test = "@display = 'block'">block</xsl:when>
         <xsl:otherwise>inline</xsl:otherwise>
      </xsl:choose></xsl:variable>

      <xsl:variable name = "c2p">
         <xsl:element name = "mml:math"><xsl:copy-of select = "@*[
            not(local-name(.)='href') and
            not(local-name(.)='view') and
            not(local-name(.)='impl')
         ]"/>
            <xsl:if test = "@href">
               <xsl:apply-templates select = "document(@href)/mml:math/*" mode = "c2p"/>
            </xsl:if>
            <xsl:apply-templates mode = "c2p"/>
         </xsl:element>
      </xsl:variable><xsl:variable name = "mathml">
         <xsl:choose>
            <xsl:when test = "msxsl:node-set($c2p)/*[1][ self::mml:mrow ]">
               <xsl:apply-templates select = "msxsl:node-set($c2p)" mode = "ptrans"/>
            </xsl:when><xsl:otherwise>
               <xsl:element name = "mml:mrow">
                  <xsl:apply-templates select = "msxsl:node-set($c2p)" mode = "ptrans"/>
               </xsl:element>
            </xsl:otherwise>
         </xsl:choose>
      </xsl:variable><xsl:variable name = "po">
         <xsl:element name = "po:display"><xsl:apply-templates select = "@*" mode = "po-style"/>
            <xsl:apply-templates select = "msxsl:node-set($mathml)" mode = "po"/>
         </xsl:element>
      </xsl:variable>

      <!--xsl:if test = "@view = 'structure'">
         <table border = "1">
            <tr><td colspan = "2" align = "center">MathML Code</td></tr>
            <tr><td>MathML</td>
               <td><xsl:apply-templates select = "." mode = "display-xml"/></td>
            </tr><tr><td>C2P</td>
               <td><xsl:apply-templates select = "msxsl:node-set($c2p)" mode = "display-xml"/></td>
            </tr><tr><td>C2P+PO</td>
               <td><xsl:apply-templates select = "msxsl:node-set($po)" mode = "display-xml"/></td>
            </tr>
         </table>
      </xsl:if-->

      <xsl:choose>
         <xsl:when test = "@impl = 'c2p'">
            <span style = "font-size: 1pc; font-family: 'Times New Roman';">
               <xsl:apply-templates select = "msxsl:node-set($c2p)" mode = "copy"/>
            </span>
         </xsl:when><xsl:when test = "@impl = 'browser'">
            <span style = "font-size: 1pc; font-family: 'Times New Roman';">
               <xsl:element name = "mml:math"><xsl:copy-of select = "@*"/>
                  <xsl:apply-templates mode = "copy"/>
               </xsl:element>
            </span>
         </xsl:when><!--xsl:when test = "@impl = 'compare'">
            <table border = "1">
               <tr><td>MathML </td>
                  <td style = "font-size: 1pc; font-family: 'Times New Roman';">
                     <xsl:element name = "mml:math"><xsl:copy-of select = "@*"/>
                        <xsl:apply-templates mode = "copy"/>
                     </xsl:element>
                  </td>
               </tr><tr><td>C2P </td>
                  <td style = "font-size: 1pc; font-family: 'Times New Roman';">
                     <xsl:apply-templates select = "msxsl:node-set($c2p)" mode = "copy"/>
                  </td>
               </tr><tr><td>C2P+PO </td>
                  <td>
                     <xsl:apply-templates select = "msxsl:node-set($po)"/>
                  </td>
               </tr>
            </table>
         </xsl:when--><xsl:otherwise>
            <xsl:apply-templates select = "msxsl:node-set($po)" mode = "po-view"/>
         </xsl:otherwise>
      </xsl:choose>
   </xsl:template>

   <xsl:template match = "mml:*" mode = "copy">
      <xsl:element name = "mml:{local-name(.)}"><xsl:copy-of select = "@*"/>
         <xsl:apply-templates mode = "copy"/>
      </xsl:element>
   </xsl:template>
</xsl:stylesheet>
