<?xml version="1.0" encoding="iso-8859-1"?>

<xsl:stylesheet version = "1.0" exclude-result-prefixes = "h"
   xmlns:xsl = "http://www.w3.org/1999/XSL/Transform"
   xmlns:mml = "http://www.w3.org/1998/Math/MathML"
   xmlns:h   = "http://www.w3.org/1999/xhtml"
>
   <xsl:output method = "xml"/>

   <xsl:include href = "content/unprocessed element.xsl"/>
   <xsl:include href = "content/infix.xsl"/>
   <xsl:include href = "content/binary.xsl"/>
   <xsl:include href = "content/set.xsl"/>
   <xsl:include href = "content/series.xsl"/>

   <h:h2>4: content markup</h:h2>

   <h:h2>4.4.1: token elements</h:h2>

   <h:h2>cn</h:h2>                           <xsl:include href = "content/token/cn.xsl"/>
   <h:h2>ci</h:h2>                           <xsl:include href = "content/token/ci.xsl"/>
   <h:h2>csymbol</h:h2>                      <xsl:include href = "content/token/csymbol.xsl"/>                <h:p>MathML2.0</h:p>

   <h:h2>4.4.2: basic content elements</h:h2>

   <h:h2>apply</h:h2>                       <xsl:include href = "content/basic/apply.xsl"/>
   <h:h2>reln</h:h2>                        <xsl:include href = "content/basic/reln.xsl"/>                   <h:p>deprecated for externally defined functions</h:p>
   <h:h2>fn</h:h2>                          <xsl:include href = "content/basic/fn.xsl"/>                     <h:p>deprecated</h:p>
   <h:h2>interval</h:h2>                    <xsl:include href = "content/basic/interval.xsl"/>
   <h:h2>inverse</h:h2>                     <xsl:include href = "content/basic/inverse.xsl"/>
   <h:h2>sep</h:h2>                         <h:p>this is implemented elsewhere</h:p>
   <h:h2>condition</h:h2>                   <xsl:include href = "content/basic/condition.xsl"/>
   <h:h2>declare</h:h2>                     <xsl:include href = "content/basic/declare.xsl"/>
   <h:h2>lamda</h:h2>                       <xsl:include href = "content/basic/lambda.xsl"/>
   <h:h2>compose</h:h2>                     <xsl:include href = "content/basic/compose.xsl"/>
   <h:h2>ident</h:h2>                       <xsl:include href = "content/basic/ident.xsl"/>
   <h:h2>domain</h:h2>                      <xsl:include href = "content/basic/domain.xsl"/>                 <h:p>MathML2.0</h:p>
   <h:h2>codomain</h:h2>                    <xsl:include href = "content/basic/codomain.xsl"/>               <h:p>MathML2.0</h:p>
   <h:h2>image</h:h2>                       <xsl:include href = "content/basic/image.xsl"/>                  <h:p>MathML2.0</h:p>
   <h:h2>domainofapplication</h:h2>         <xsl:include href = "content/basic/domainofapplication.xsl"/>    <h:p>MathML2.0</h:p>
   <h:h2>piecewise/piece/otherwise</h:h2>   <xsl:include href = "content/basic/piecewise.xsl"/>              <h:p>MathML2.0</h:p>

   <h:h2>4.4.3: arithmetic, algebra and logic</h:h2>

   <h:h2>quotient</h:h2>                    <xsl:include href = "content/algebra/quotient.xsl"/>
   <h:h2>exp</h:h2>                         <xsl:include href = "content/algebra/exp.xsl"/>
   <h:h2>factorial</h:h2>                   <xsl:include href = "content/algebra/factorial.xsl"/>
   <h:h2>divide</h:h2>                      <xsl:include href = "content/algebra/divide.xsl"/>
   <h:h2>min and max</h:h2>                 <xsl:include href = "content/algebra/minmax.xsl"/>
   <h:h2>minus</h:h2>                       <xsl:include href = "content/algebra/minus.xsl"/>
   <h:h2>plus</h:h2>                        <xsl:include href = "content/algebra/plus.xsl"/>
   <h:h2>power</h:h2>                       <xsl:include href = "content/algebra/power.xsl"/>
   <h:h2>rem</h:h2>                         <xsl:include href = "content/algebra/rem.xsl"/>
   <h:h2>times</h:h2>                       <xsl:include href = "content/algebra/times.xsl"/>
   <h:h2>root</h:h2>                        <xsl:include href = "content/algebra/root.xsl"/>
   <h:h2>gcd</h:h2>                         <xsl:include href = "content/algebra/gcd.xsl"/>
   <h:h2>and</h:h2>                         <xsl:include href = "content/algebra/and.xsl"/>
   <h:h2>or</h:h2>                          <xsl:include href = "content/algebra/or.xsl"/>
   <h:h2>xor</h:h2>                         <xsl:include href = "content/algebra/xor.xsl"/>
   <h:h2>not</h:h2>                         <xsl:include href = "content/algebra/not.xsl"/>
   <h:h2>implies</h:h2>                     <xsl:include href = "content/algebra/implies.xsl"/>
   <h:h2>forall</h:h2>                      <xsl:include href = "content/algebra/forall.xsl"/>
   <h:h2>exists</h:h2>                      <xsl:include href = "content/algebra/exists.xsl"/>
   <h:h2>abs</h:h2>                         <xsl:include href = "content/algebra/abs.xsl"/>
   <h:h2>conjugate</h:h2>                   <xsl:include href = "content/algebra/conjugate.xsl"/>
   <h:h2>arg</h:h2>                         <xsl:include href = "content/algebra/arg.xsl"/>        <h:p>MathML2.0</h:p>
   <h:h2>real</h:h2>                        <xsl:include href = "content/algebra/real.xsl"/>       <h:p>MathML2.0</h:p>
   <h:h2>imaginary</h:h2>                   <xsl:include href = "content/algebra/imaginary.xsl"/>  <h:p>MathML2.0</h:p>
   <h:h2>lcm</h:h2>                         <xsl:include href = "content/algebra/lcm.xsl"/>        <h:p>MathML2.0</h:p>
   <h:h2>floor</h:h2>                       <xsl:include href = "content/algebra/floor.xsl"/>      <h:p>MathML2.0</h:p>
   <h:h2>ceiling</h:h2>                     <xsl:include href = "content/algebra/ceiling.xsl"/>    <h:p>MathML2.0</h:p>

   <h:h2>4.4.4: relations</h:h2>

   <h:h2>eq</h:h2>                          <xsl:include href = "content/algebra/eq.xsl"/>
   <h:h2>neq</h:h2>                         <xsl:include href = "content/algebra/neq.xsl"/>
   <h:h2>gt</h:h2>                          <xsl:include href = "content/algebra/gt.xsl"/>
   <h:h2>lt</h:h2>                          <xsl:include href = "content/algebra/lt.xsl"/>
   <h:h2>geq</h:h2>                         <xsl:include href = "content/algebra/geq.xsl"/>
   <h:h2>leq</h:h2>                         <xsl:include href = "content/algebra/leq.xsl"/>
   <h:h2>equivalent</h:h2>                  <xsl:include href = "content/algebra/equivalent.xsl"/> <h:p>MathML2.0</h:p>
   <h:h2>approx</h:h2>                      <xsl:include href = "content/algebra/approx.xsl"/>     <h:p>MathML2.0</h:p>
   <h:h2>factorof</h:h2>                    <xsl:include href = "content/algebra/factorof.xsl"/>   <h:p>MathML2.0</h:p>

   <h:h2>4.4.5: calculus and vector calculus</h:h2>

   <h:h2>int</h:h2>                         <xsl:include href = "content/calculus/int.xsl"/>
   <h:h2>diff</h:h2>                        <xsl:include href = "content/calculus/diff.xsl"/>
   <h:h2>partialdiff</h:h2>                 <xsl:include href = "content/calculus/partialdiff.xsl"/>
   <h:h2>lowlimit</h:h2>                    <xsl:include href = "content/calculus/lowlimit.xsl"/>
   <h:h2>uplimit</h:h2>                     <xsl:include href = "content/calculus/uplimit.xsl"/>
   <h:h2>bvar</h:h2>                        <xsl:include href = "content/calculus/bvar.xsl"/>
   <h:h2>degree</h:h2>                      <xsl:include href = "content/calculus/degree.xsl"/>
   <h:h2>divergence</h:h2>                  <xsl:include href = "content/calculus/divergence.xsl"/> <h:p>MathML2.0</h:p>
   <h:h2>grad</h:h2>                        <xsl:include href = "content/calculus/grad.xsl"/>       <h:p>MathML2.0</h:p>
   <h:h2>curl</h:h2>                        <xsl:include href = "content/calculus/curl.xsl"/>       <h:p>MathML2.0</h:p>
   <h:h2>laplacian</h:h2>                   <xsl:include href = "content/calculus/laplacian.xsl"/>  <h:p>MathML2.0</h:p>

   <h:h2>4.4.6: theory of sets</h:h2>

   <h:h2>set</h:h2>                         <xsl:include href = "content/set/set.xsl"/>
   <h:h2>list</h:h2>                        <xsl:include href = "content/set/list.xsl"/>
   <h:h2>union</h:h2>                       <xsl:include href = "content/set/union.xsl"/>
   <h:h2>intersect</h:h2>                   <xsl:include href = "content/set/intersect.xsl"/>
   <h:h2>in</h:h2>                          <xsl:include href = "content/set/in.xsl"/>
   <h:h2>notin</h:h2>                       <xsl:include href = "content/set/notin.xsl"/>
   <h:h2>subset</h:h2>                      <xsl:include href = "content/set/subset.xsl"/>
   <h:h2>prsubset</h:h2>                    <xsl:include href = "content/set/prsubset.xsl"/>
   <h:h2>notsubset</h:h2>                   <xsl:include href = "content/set/notsubset.xsl"/>
   <h:h2>notprsubset</h:h2>                 <xsl:include href = "content/set/notprsubset.xsl"/>
   <h:h2>setdiff</h:h2>                     <xsl:include href = "content/set/setdiff.xsl"/>
   <h:h2>card</h:h2>                        <xsl:include href = "content/set/card.xsl"/>             <h:p>MathML2.0</h:p>
   <h:h2>cartesianproduct</h:h2>            <xsl:include href = "content/set/cartesianproduct.xsl"/> <h:p>MathML2.0</h:p>

   <h:h2>4.4.7: sequences and series</h:h2>

   <h:h2>sum</h:h2>                         <xsl:include href = "content/series/sum.xsl"/>
   <h:h2>product</h:h2>                     <xsl:include href = "content/series/product.xsl"/>
   <h:h2>limit</h:h2>                       <xsl:include href = "content/series/limit.xsl"/>
   <h:h2>tendsto</h:h2>                     <xsl:include href = "content/series/tendsto.xsl"/>

   <h:h2>4.4.8: elementary classical functions</h:h2>

   <h:h2>exp</h:h2>                         <xsl:include href = "content/functions/exp.xsl"/>
   <h:h2>ln</h:h2>                          <xsl:include href = "content/functions/ln.xsl"/>
   <h:h2>log</h:h2>                         <xsl:include href = "content/functions/log.xsl"/>                         
   <h:h2>trigonometric functions</h:h2>     <xsl:include href = "content/functions/trig.xsl"/>

   <h:h2>4.4.9: statistics</h:h2>

   <h:h2>mean</h:h2>                        <xsl:include href = "content/statistics/mean.xsl"/>
   <h:h2>sdev</h:h2>                        <xsl:include href = "content/statistics/sdev.xsl"/>
   <h:h2>variance</h:h2>                    <xsl:include href = "content/statistics/variance.xsl"/>
   <h:h2>median</h:h2>                      <xsl:include href = "content/statistics/median.xsl"/>
   <h:h2>mode</h:h2>                        <xsl:include href = "content/statistics/mode.xsl"/>
   <h:h2>moment</h:h2>                      <xsl:include href = "content/statistics/moment.xsl"/>
   <h:h2>momentabout</h:h2>                 <xsl:include href = "content/statistics/momentabout.xsl"/> <h:p>MathML2.0</h:p>

   <h:h2>4.4.10: linear algebra</h:h2>

   <h:h2>vector</h:h2>                      <xsl:include href = "content/linear algebra/vector.xsl"/>
   <h:h2>matrix</h:h2>                      <xsl:include href = "content/linear algebra/matrix.xsl"/>
   <h:h2>matrixrow</h:h2>                   <xsl:include href = "content/linear algebra/matrixrow.xsl"/>
   <h:h2>determinant</h:h2>                 <xsl:include href = "content/linear algebra/determinant.xsl"/>
   <h:h2>transpose</h:h2>                   <xsl:include href = "content/linear algebra/transpose.xsl"/>
   <h:h2>selector</h:h2>                    <xsl:include href = "content/linear algebra/selector.xsl"/>
   <h:h2>vectorproduct</h:h2>               <xsl:include href = "content/linear algebra/vectorproduct.xsl"/> <h:p>MathML2.0</h:p>
   <h:h2>scalarproduct</h:h2>               <xsl:include href = "content/linear algebra/scalarproduct.xsl"/> <h:p>MathML2.0</h:p>
   <h:h2>outerproduct</h:h2>                <xsl:include href = "content/linear algebra/outerproduct.xsl"/>  <h:p>MathML2.0</h:p>

   <h:h2>4.4.11: semantic mapping elements</h:h2> <xsl:include href = "content/semantics.xsl"/>

   <h:h2>4.4.12: constant and symbol elements</h:h2>

   <h:h2>integers</h:h2>                    <xsl:include href = "content/symbols/integers.xsl"/>       <h:p>MathML2.0</h:p>
   <h:h2>reals</h:h2>                       <xsl:include href = "content/symbols/reals.xsl"/>          <h:p>MathML2.0</h:p>
   <h:h2>rationals</h:h2>                   <xsl:include href = "content/symbols/rationals.xsl"/>      <h:p>MathML2.0</h:p>
   <h:h2>naturalnumbers</h:h2>              <xsl:include href = "content/symbols/naturalnumbers.xsl"/> <h:p>MathML2.0</h:p>
   <h:h2>complexes</h:h2>                   <xsl:include href = "content/symbols/complexes.xsl"/>      <h:p>MathML2.0</h:p>
   <h:h2>primes</h:h2>                      <xsl:include href = "content/symbols/primes.xsl"/>         <h:p>MathML2.0</h:p>

   <h:h2>exponentiale</h:h2>                <xsl:include href = "content/symbols/exponentiale.xsl"/>   <h:p>MathML2.0</h:p>
   <h:h2>imaginaryi</h:h2>                  <xsl:include href = "content/symbols/imaginaryi.xsl"/>     <h:p>MathML2.0</h:p>
   <h:h2>notanumber</h:h2>                  <xsl:include href = "content/symbols/notanumber.xsl"/>     <h:p>MathML2.0</h:p>
   <h:h2>true</h:h2>                        <xsl:include href = "content/symbols/true.xsl"/>           <h:p>MathML2.0</h:p>
   <h:h2>false</h:h2>                       <xsl:include href = "content/symbols/false.xsl"/>          <h:p>MathML2.0</h:p>
   <h:h2>emptyset</h:h2>                    <xsl:include href = "content/symbols/emptyset.xsl"/>       <h:p>MathML2.0</h:p>
   <h:h2>pi</h:h2>                          <xsl:include href = "content/symbols/pi.xsl"/>             <h:p>MathML2.0</h:p>
   <h:h2>eulergamma</h:h2>                  <xsl:include href = "content/symbols/eulergamma.xsl"/>     <h:p>MathML2.0</h:p>
   <h:h2>infinity</h:h2>                    <xsl:include href = "content/symbols/infinity.xsl"/>       <h:p>MathML2.0</h:p>
</xsl:stylesheet>
