<?xml version="1.0" encoding="iso-8859-1"?>

<xsl:stylesheet version = "1.0"
   xmlns:xsl = "http://www.w3.org/1999/XSL/Transform"
   xmlns:mml = "http://www.w3.org/1998/Math/MathML"
>
   <xsl:template mode = "c2p" match = "mml:cn">
      <mml:mn><xsl:apply-templates mode = "c2p"/></mml:mn>
   </xsl:template>

   <xsl:template mode = "c2p" match = "mml:cn[@type = 'complex-cartesian']">
      <mml:mrow>
         <mml:mn><xsl:apply-templates mode = "c2p" select = "text()[1]"/></mml:mn>
         <mml:mo>+</mml:mo>
         <mml:mn><xsl:apply-templates mode = "c2p" select = "text()[2]"/></mml:mn>
         <mml:mo><!--&#8290;--><!--invisible times--></mml:mo>
         <mml:mi>i<!-- imaginary i --></mml:mi>
      </mml:mrow>
   </xsl:template>

   <xsl:template mode = "c2p" match = "mml:cn[@type = 'rational']">
      <mml:mrow>
         <mml:mn><xsl:apply-templates mode = "c2p" select = "text()[1]"/></mml:mn>
         <mml:mo>/</mml:mo>
         <mml:mn><xsl:apply-templates mode = "c2p" select = "text()[2]"/></mml:mn>
      </mml:mrow>
   </xsl:template>

   <xsl:template mode = "c2p" match = "mml:cn[@type = 'integer']">
      <xsl:choose>
         <xsl:when test = "not(@base) or (@base = 10)">
            <mml:mn><xsl:apply-templates mode = "c2p"/></mml:mn>
         </xsl:when><xsl:otherwise>
            <mml:msub>
               <mml:mn><xsl:apply-templates mode = "c2p"/></mml:mn>
               <mml:mn><xsl:value-of select = "@base"/></mml:mn>
            </mml:msub>
         </xsl:otherwise>
      </xsl:choose>
   </xsl:template>

   <xsl:template mode = "c2p" match = "mml:cn[@type = 'complex-polar']">
      <mml:mrow>
         <mml:mn><xsl:apply-templates mode = "c2p" select = "text()[1]"/></mml:mn>
         <mml:mo><!--&#8290;--><!--invisible times--></mml:mo>
         <mml:msup>
            <mml:mi>e<!-- exponential e--></mml:mi>
            <mml:mrow>
               <mml:mi>i<!-- imaginary i--></mml:mi>
               <mml:mo><!--&#8290;--><!--invisible times--></mml:mo>
               <mml:mn><xsl:apply-templates mode = "c2p" select = "text()[2]"/></mml:mn>
            </mml:mrow>
         </mml:msup>
      </mml:mrow>
   </xsl:template>

   <xsl:template mode = "c2p" match = "mml:cn[@type = 'e-notation']">
      <mml:mn><xsl:apply-templates mode = "c2p" select = "text()[1]"/>E<xsl:apply-templates mode = "c2p" select = "text()[2]"/></mml:mn>
   </xsl:template>
</xsl:stylesheet>
