<?xml version = "1.0" encoding = "iso-8859-1"?>

<xsl:stylesheet version = "1.0" exclude-result-prefixes = "h"
   xmlns:xsl = "http://www.w3.org/1999/XSL/Transform"
   xmlns:mml = "http://www.w3.org/1998/Math/MathML"
   xmlns:h   = "http://www.w3.org/1999/xhtml"
>
   <!--xsl:include href = "presentation/operator dictionary.xsl"/-->

   <xsl:include href = "presentation/none.xsl"/>
   <xsl:include href = "presentation/maligngroup.xsl"/>
   <xsl:include href = "presentation/attributes.xsl"/>
   <xsl:include href = "../unicode/text.xsl"/>

   <h:h2>3: presentation markup</h:h2>

   <h:h2>3.2: token elements</h:h2>

   <h:h2>3.2.3: identifier</h:h2>                                              <xsl:include href = "presentation/mi.xsl"/>
   <h:h2>3.2.4: number</h:h2>                                                  <xsl:include href = "presentation/mn.xsl"/>
   <h:h2>3.2.5: operator, fence, seperator or accent</h:h2>                    <xsl:include href = "presentation/mo.xsl"/>
   <h:h2>3.2.6: text [mtext]</h:h2>                                            <xsl:include href = "presentation/mtext.xsl"/>
   <h:h2>3.2.7: space [mspace]</h:h2>                                          <xsl:include href = "presentation/mspace.xsl"/>
   <h:h2>3.2.8: string literal [ms]</h:h2>                                     <xsl:include href = "presentation/ms.xsl"/>
   <h:h2>3.2.9: adding new character glyphs to MathML [mglyph]</h:h2>          <xsl:include href = "presentation/mglyph.xsl"/>

   <h:h2>3.3: general layout schemata</h:h2>

   <h:h2>3.3.1: horzontally group sub-expressions</h:h2>                       <xsl:include href = "presentation/mrow.xsl"/>
   <h:h2>3.3.2: fractions [mfrac]</h:h2>                                       <xsl:include href = "presentation/mfrac.xsl"/>
   <h:h2>3.3.3: radicals</h:h2>                                                <xsl:include href = "presentation/msqrt.xsl"/> <xsl:include href = "presentation/mroot.xsl"/>
   <h:h2>3.3.4: style change [mstyle]</h:h2>                                   <xsl:include href = "presentation/mstyle.xsl"/> <h:p>only some of the attributes implemented</h:p>
   <h:h2>3.3.5: error message [merror]</h:h2>                                  <xsl:include href = "presentation/merror.xsl"/>
   <h:h2>3.3.6: adjust space around content [mpadded]</h:h2>                   <xsl:include href = "presentation/mpadded.xsl"/>
   <h:h2>3.3.7: making sub-expressions invisible [mphantom]</h:h2>             <xsl:include href = "presentation/mphantom.xsl"/>
   <h:h2>3.3.8: expression inside pair of fences [mfenced]</h:h2>              <h:p>implemented in ptrans.xsl</h:p>
   <h:h2>3.3.9: enclose expression inside notation [menclose]</h:h2>           <xsl:include href = "presentation/menclose.xsl"/>

   <h:h2>3.4: script and limit schemata</h:h2>
   <h:h2>3.4.1: subscript [msub]</h:h2>                                        <xsl:include href = "presentation/msub.xsl"/>
   <h:h2>3.4.2: superscript [msup]</h:h2>                                      <xsl:include href = "presentation/msup.xsl"/>
   <h:h2>3.4.3: subscript-superscript pair [msubsup]</h:h2>                    <xsl:include href = "presentation/msubsup.xsl"/>
   <h:h2>3.4.4: underscript [munder]</h:h2>                                    <xsl:include href = "presentation/munder.xsl"/>
   <h:h2>3.4.5: overscript [mover]</h:h2>                                      <xsl:include href = "presentation/mover.xsl"/>
   <h:h2>3.4.6: underscript-overscript pair [munderover]</h:h2>                <xsl:include href = "presentation/munderover.xsl"/>
   <h:h2>3.4.7: prescripts and tensor indices [mmultiscripts]</h:h2>           <xsl:include href = "presentation/mmultiscripts.xsl"/>

   <h:h2>3.5: tables and matrices</h:h2>
   <h:h2>3.5.1: table or matrix [mtable]</h:h2>                                <xsl:include href = "presentation/mtable.xsl"/>
   <h:h2>3.5.2: row in table or matrix [mtr]</h:h2>                            <xsl:include href = "presentation/mtr.xsl"/>
   <h:h2>3.5.3: labeled row in table or matrix [mlabeledtr]</h:h2>             <xsl:include href = "presentation/mlabeledtr.xsl"/>
   <h:h2>3.5.4: entry in table or matrix [mtd]</h:h2>                          <xsl:include href = "presentation/mtd.xsl"/>

   <h:h2>3.6: enlivening expressions</h:h2>
   <h:h2>3.6.1: bind action to sub-expression [maction]</h:h2>                 <xsl:include href = "presentation/maction.xsl"/>
</xsl:stylesheet>
