<?xml version="1.0" encoding="iso-8859-1"?>

<xsl:stylesheet version = "1.0" exclude-result-prefixes = "h"
   xmlns:xsl   = "http://www.w3.org/1999/XSL/Transform"
   xmlns:msxsl = "urn:schemas-microsoft-com:xslt"
   xmlns:mml   = "http://www.w3.org/1998/Math/MathML"
   xmlns:h     = "http://www.w3.org/1999/xhtml"
   xmlns:x     = "urn:fenced-data"
   xmlns:op    = "data:,op"
>
   <xsl:output method = "xml"/>

   <xsl:template match = "mml:*" mode = "ptrans">
      <xsl:copy><xsl:copy-of select = "@*"/>
         <xsl:apply-templates mode = "ptrans"/>
      </xsl:copy>
   </xsl:template>

   <h:p>remove any redundant mrow elements</h:p>

   <xsl:template match = "mml:mrow[count(mml:*) = 1]" mode = "ptrans">
      <xsl:apply-templates mode = "ptrans"/>
   </xsl:template>

   <h:p>convert a fence into its equivalent mo/mrow form</h:p>
   <h:p>
      apply operator stretching to the mfenced left and right operators
      <h:b>
         This needs to be generalized for mo operators declared stretchable.
         It also needs to be expanded from just the surrounding table.
         Create a calculate height function?
      </h:b>
   </h:p>

   <xsl:template match = "mml:mfenced" mode = "ptrans">
      <xsl:variable name = "l"><xsl:choose>
         <xsl:when test = "@open"><xsl:value-of select = "@open"/></xsl:when>
         <xsl:otherwise>(</xsl:otherwise>
      </xsl:choose></xsl:variable>

      <xsl:variable name = "r"><xsl:choose>
         <xsl:when test = "@close"><xsl:value-of select = "@close"/></xsl:when>
         <xsl:otherwise>)</xsl:otherwise>
      </xsl:choose></xsl:variable>

      <xsl:variable name = "s"><xsl:choose>
         <xsl:when test = "@sep"><xsl:call-template name = "text">
            <xsl:with-param name = "x" select = "@sep"/>
         </xsl:call-template></xsl:when>
         <xsl:otherwise>,</xsl:otherwise>
      </xsl:choose></xsl:variable>

      <xsl:element name = "mml:mrow"><xsl:copy-of select = "@*"/>
         <xsl:if test = "not($l = '')">
            <xsl:element name = "mml:mo"><xsl:attribute name = "fence">true</xsl:attribute>
               <xsl:value-of select = "$l"/>
            </xsl:element>
         </xsl:if>

         <xsl:element name = "mml:mrow"><xsl:for-each select = "*">
            <xsl:apply-templates select = "." mode = "ptrans"/>
            <xsl:if test = "position() != last()">
               <xsl:element name = "mml:mo">
                  <xsl:attribute name = "seperator">true</xsl:attribute>
                  <xsl:attribute name = "form">infix</xsl:attribute>
                  <xsl:value-of select = "$s"/>
               </xsl:element>
            </xsl:if>
         </xsl:for-each></xsl:element>

         <xsl:if test = "not($r = '')">
            <xsl:element name = "mml:mo"><xsl:attribute name = "fence">true</xsl:attribute>
               <xsl:value-of select = "$r"/>
            </xsl:element>
         </xsl:if>
      </xsl:element>
   </xsl:template>

   <xsl:template match = "mml:mfenced[*[1][ self::mml:mtable ]]" mode = "ptrans">
      <xsl:element name = "mml:mrow">
         <xsl:apply-templates select = "." mode = "mo-stretch">
            <xsl:with-param name = "x" select = "normalize-space(@open)"/>
         </xsl:apply-templates>

         <xsl:apply-templates mode = "ptrans"/>

         <xsl:apply-templates select = "." mode = "mo-stretch">
            <xsl:with-param name = "x" select = "normalize-space(@close)"/>
         </xsl:apply-templates>
      </xsl:element>
   </xsl:template>

   <xsl:template match = "mml:*" mode = "mo-stretch"> <xsl:param name = "x"/>
      <xsl:variable name = "op" select = "msxsl:node-set($opdict)[@name=$x]"/>

      <xsl:choose>
         <xsl:when test = "msxsl:node-set($op)">
            <xsl:element name = "mml:mtable"><xsl:for-each select = "mml:mtable/mml:mtr">
               <xsl:if test = "
                  msxsl:node-set($op)/op:stretch/@mid and
                  position() = ceiling(last() div 2) and (last() mod 2 = 0) and not(last() = 2)
               ">
                  <xsl:element name = "mml:mtr"><xsl:element name = "mml:mtd"><xsl:element name = "mml:mo">
                     <xsl:value-of select = "msxsl:node-set($op)/op:stretch/@mid"/>
                  </xsl:element></xsl:element></xsl:element>
               </xsl:if>

               <xsl:element name = "mml:mtr"><xsl:element name = "mml:mtd">
                  <xsl:element name = "mml:mo"><xsl:choose>
                     <xsl:when test = "position() = 1">
                        <xsl:value-of select = "msxsl:node-set($op)/op:stretch/@upper"/>
                     </xsl:when><xsl:when test = "position() = last()">
                        <xsl:value-of select = "msxsl:node-set($op)/op:stretch/@lower"/>
                     </xsl:when><xsl:when test = "
                        msxsl:node-set($op)/op:stretch/@mid and
                        position() = ceiling(last() div 2) and (last() mod 2 = 1)
                     ">
                        <xsl:value-of select = "msxsl:node-set($op)/op:stretch/@mid"/>
                     </xsl:when><xsl:otherwise>
                        <xsl:value-of select = "msxsl:node-set($op)/op:stretch/@ext"/>
                     </xsl:otherwise>
                  </xsl:choose></xsl:element>
               </xsl:element></xsl:element>

               <xsl:if test = "
                  msxsl:node-set($op)/op:stretch/@mid and
                  position() = ceiling(last() div 2) and (last() mod 2 = 0) and (last() = 2)
               ">
                  <xsl:element name = "mml:mtr"><xsl:element name = "mml:mtd"><xsl:element name = "mml:mo">
                     <xsl:value-of select = "msxsl:node-set($op)/op:stretch/@mid"/>
                  </xsl:element></xsl:element></xsl:element>
               </xsl:if>
            </xsl:for-each></xsl:element>
         </xsl:when><xsl:otherwise>
            <xsl:element name = "mml:mo"><xsl:value-of select = "$x"/></xsl:element>
         </xsl:otherwise>
      </xsl:choose>
   </xsl:template>
</xsl:stylesheet>
