<?xml version = "1.0"?>

<xsl:stylesheet version = "1.0" exclude-result-prefixes = "h"
   xmlns:xsl = "http://www.w3.org/1999/XSL/Transform"
   xmlns:mml = "http://www.w3.org/1998/Math/MathML"
   xmlns:h   = "http://www.w3.org/1999/xhtml"
>
   <h:h2>General Attribute Functionality</h:h2>

   <xsl:template name = "attributes"> <xsl:param name = "style"/>
      <xsl:attribute name = "style">
         <xsl:value-of select = "$style"/>
         <xsl:apply-templates select = "@*" mode = "style"/>
      </xsl:attribute>
      <xsl:apply-templates select = "@*" mode = "apply-attr"/>
   </xsl:template>

   <h:p>The default behaviour is to ignore the attribute</h:p>

   <xsl:template match = "@*" mode = "style"/>
   <xsl:template match = "@*" mode = "apply-attr"/>

   <h:h2>Common Implementation Of CSS-based Attributes</h:h2>

   <h:h3>id and class</h:h3>

   <xsl:template match = "@id|@class" mode = "apply-attr">
      <xsl:copy-of select = "."/>
   </xsl:template>

   <h:h3>style</h:h3>

   <xsl:template match = "@style" mode = "style">
      <xsl:value-of select = "."/>
   </xsl:template>

   <h:h3>language [custom attribute]</h:h3>

   <xsl:template match = "@language[.='chinese']" mode = "style">
      font-family: 'MingLiU';
      font-size:   2pc;
   </xsl:template>

   <h:h3>space [custom attribute]</h:h3>

   <xsl:template match = "@space" mode = "style">
      margin-top: <xsl:choose>
         <xsl:when test = "contains(., 'top')">1pc</xsl:when>
         <xsl:otherwise>0</xsl:otherwise>
      </xsl:choose>;
      margin-bottom: <xsl:choose>
         <xsl:when test = "contains(., 'bottom')">1pc</xsl:when>
         <xsl:otherwise>0</xsl:otherwise>
      </xsl:choose>;
   </xsl:template>
</xsl:stylesheet>
