<?xml version="1.0"?>

<xsl:stylesheet version = "1.0"
   xmlns:xsl   = "http://www.w3.org/1999/XSL/Transform"
   xmlns:msxsl = "urn:schemas-microsoft-com:xslt"
   xmlns:dt    = "http://www.softwave.net/XML/DateTime"
>
   <xsl:import href = "../components/date.xsl"/>
   <xsl:import href = "../components/time.xsl"/>
   <xsl:import href = "../components/xml-display.xsl"/>

   <xsl:output method = "html"/>

   <xsl:template match = "*">
      <html><head>
         <link type = "text/css" rel = "stylesheet" href = "/css/default.css"/>
         <title>Date-Time Test</title>
         <style>
            @media screen{ .entry{ margin-left: 25%; margin-right: 25%; } .title{ font-weight: bold; margin-bottom: 1pc; text-align: center; background-color: olive; color: black; } }
            @media print{  .entry{ margin-left: 10%; margin-right: 10%; } .title{ font-weight: bold; margin-bottom: 1pc; text-align: center; } }
         </style>
      </head><body scroll = "auto">
         <table width = "100%" border = '0'><tr><td width = '33%'/><td width = '34%'><div style = "font-weight: bold; text-align: center;">
            Date-Time Test
         </div></td><td width = '33%'/></tr></table>

         <xsl:variable name = "date1">
            <xsl:element name = "dt:datetime">
               <xsl:attribute name = "dt:day"   >2</xsl:attribute>
               <xsl:attribute name = "dt:month" >March</xsl:attribute>
               <xsl:attribute name = "dt:year"  >2003</xsl:attribute>

               <xsl:attribute name = "dt:hours"  >7</xsl:attribute>
               <xsl:attribute name = "dt:minutes">30</xsl:attribute>
            </xsl:element>
         </xsl:variable>

         <xsl:variable name = "date2">
            <xsl:apply-templates select = "msxsl:node-set($date1)" mode = "date-advance"/>
         </xsl:variable>

         date1:
         <div style = "margin-left: 1.5pc;">
            <xsl:variable name = "ext">
               <xsl:apply-templates select = "msxsl:node-set($date1)" mode = "date-extendedinfo"/>
            </xsl:variable>

            initial = <div style = "margin-left: 1.5pc;">
               <xsl:apply-templates select = "msxsl:node-set($date1)" mode = "display-xml"/>
            </div>
            extended = <div style = "margin-left: 1.5pc;">
               <xsl:apply-templates select = "msxsl:node-set($ext)" mode = "display-xml"/>
            </div>
            formatted = "<xsl:apply-templates select = "msxsl:node-set($ext)" mode = "date-tostring"/>"
         </div>

         date1: advance [d = 1]
         <div style = "margin-left: 1.5pc;">
            <xsl:variable name = "ext">
               <xsl:apply-templates select = "msxsl:node-set($date2)" mode = "date-extendedinfo"/>
            </xsl:variable>

            initial = <div style = "margin-left: 1.5pc;">
               <xsl:apply-templates select = "msxsl:node-set($date2)" mode = "display-xml"/>
            </div>
            extended = <div style = "margin-left: 1.5pc;">
               <xsl:apply-templates select = "msxsl:node-set($ext)" mode = "display-xml"/>
            </div>
            formatted = "<xsl:apply-templates select = "msxsl:node-set($ext)" mode = "date-tostring"/>"
         </div>
      </body></html>
   </xsl:template>
</xsl:stylesheet>
