<?xml version = "1.0"?>

<xsl:stylesheet version = "1.0"
   xmlns:xsl = "http://www.w3.org/1999/XSL/Transform"
   xmlns:mml = "http://www.w3.org/1998/Math/MathML"
   xmlns:svg = "http://www.w3.org/2000/svg"
>
   <xsl:template match = "/">
      <html><head>
         <xsl:apply-templates select = "." mode = "root-head"/>
         <link type = "text/css" rel = "stylesheet" href = "/css/default.css"/>
         <xsl:if test = "//mml:*">
            <object id = "MathPlayer" classid = "clsid:32F66A20-7614-11D4-BD11-00104BD3F987">
               <xsl:text> </xsl:text>
            </object>
            <xsl:processing-instruction name = "import">namespace = "mml" implementation = "#MathPlayer"</xsl:processing-instruction>
         </xsl:if><xsl:if test = "//svg:svg">
            <object id = "AdobeSVG" classid = "clsid:78156a80-c6a1-4bbf-8e6a-3cd390eeb4e2">
               <xsl:text> </xsl:text>
            </object>
            <xsl:processing-instruction name = "import">namespace = "svg" implementation = "#AdobeSVG"</xsl:processing-instruction>
         </xsl:if>
      </head><body scroll = "auto" style = "position: absolute; left: 1; top: 0;">
         <xsl:apply-templates select = "." mode = "root-body"/>
      </body></html>
   </xsl:template>

   <xsl:template match = "*" mode = "root-head">
      <title><xsl:value-of select = "@title"/></title>
      <script type = "text/jscript" src = "/js/pageex.js"/>
   </xsl:template>

   <xsl:template match = "*" mode = "root-body">
      <xsl:apply-templates/>
   </xsl:template>
</xsl:stylesheet>
