<?xml version = "1.0"?>

<xsl:stylesheet version = "1.0"
   xmlns:xsl = "http://www.w3.org/1999/XSL/Transform"
   xmlns:dt  = "http://www.softwave.net/XML/DateTime"
>
   <!-- time == dt:hours | dt:minutes -->

   <xsl:template match = "*" mode = "time-tostring">
      <xsl:choose>
         <xsl:when test = "@dt:time"><xsl:value-of select = "@dt:time"/></xsl:when>
         <xsl:otherwise>
            <xsl:apply-templates
               select = "." mode = "time-adjusthours"
            />:<xsl:value-of
               select = "@dt:minutes"
            /><xsl:apply-templates
               select = "." mode = "time-ampm"
            />
         </xsl:otherwise>
      </xsl:choose>
   </xsl:template>

   <!-- time helper functions: convert 24 hour clock to 12 hour clock -->

   <xsl:template match = "*" mode = "time-adjusthours">
      <xsl:variable name = "hrs"><xsl:value-of select = "@dt:hours"/></xsl:variable>

      <xsl:choose>
         <xsl:when test = "$hrs = 0">12</xsl:when>
         <xsl:when test = "$hrs &lt; 13"><xsl:value-of select = "$hrs"/></xsl:when>
         <xsl:otherwise><xsl:value-of select = "number($hrs - 12)"/></xsl:otherwise>
      </xsl:choose>
   </xsl:template>

   <!-- time helper functions: is the time am or pm? -->

   <xsl:template match = "*" mode = "time-ampm">
      <xsl:variable name = "hrs"><xsl:value-of select = "@dt:hours"/></xsl:variable>
      
      <xsl:choose>
         <xsl:when test = "$hrs &lt; 12">am</xsl:when>
         <xsl:otherwise>pm</xsl:otherwise>
      </xsl:choose>
   </xsl:template>
</xsl:stylesheet>
